<div class="table-responsive">
  <table class="table set">
    <thead class="thead-dark">
      <tr>
        <th scope="col">ดัชนี</th>
        <th scope="col">ล่าสุด</th>
        <th scope="col">เปลี่ยนแปลง</th>
        <th scope="col">%เปลี่ยนแปลง</th>
        <th scope="col">สูงสุด</th>
        <th scope="col">ต่ำสุด</th>
        <th scope="col">ปริมาณ('000 หุ้น)</th>
        <th scope="col">มูลค่า(ล้านบาท)</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>SET</td>
        <td><%= number_with_delimiter(@sets.try(:set))%></td>
        <td class="text-center <%= @set_changes.try(:set).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_changes.try(:set)%></td>
        <td class="text-center <%= @set_change_persens.try(:set).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_change_persens.try(:set)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set).to_i + @set_maxs.try(:set).to_f) %></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set).to_i - @set_mins.try(:set).to_f)%></td>
        <td><%= number_with_delimiter(@set_values.try(:set).to_i)%></td>
        <td><%= number_with_delimiter(@sets.try(:set).to_i * @set_values.try(:set).to_i * 3/1000000).to_s + "." + (@sets.try(:set).to_i * @set_values.try(:set).to_i * 3 - (@sets.try(:set).to_i * @set_values.try(:set).to_i * 3)/1000000 * 1000000).to_s.slice(0..1) %></td>
      </tr>
      <tr>
        <td>SET50</th>
        <td><%= number_with_delimiter(@sets.try(:set_50))%></td>
        <td class="text-center <%= @set_changes.try(:set_50).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_changes.try(:set_50)%></td>
        <td class="text-center <%= @set_change_persens.try(:set_50).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_change_persens.try(:set_50)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_50).to_i - @set_maxs.try(:set_50).to_f)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_50).to_i + @set_mins.try(:set_50).to_f)%></td>
        <td><%= number_with_delimiter(@set_values.try(:set_50).to_i)%></td>
        <td><%= number_with_delimiter(@sets.try(:set_50).to_i * @set_values.try(:set_50).to_i * 3/1000000) + "." + (@sets.try(:set_50).to_i * @set_values.try(:set_50).to_i * 3 - (@sets.try(:set_50).to_i * @set_values.try(:set_50).to_i * 3)/1000000 * 1000000).to_s.slice(0..1) %></td>
      </tr>
      <tr>
        <td>SET100</td>
        <td><%= number_with_delimiter(@sets.try(:set_100))%></td>
        <td class="text-center <%= @set_changes.try(:set_100).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_changes.try(:set_100)%></td>
        <td class="text-center <%= @set_change_persens.try(:set_100).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_change_persens.try(:set_100)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_100).to_i + @set_maxs.try(:set_100).to_f)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_100).to_i - @set_mins.try(:set_100).to_f)%></td>
        <td><%= number_with_delimiter(@set_values.try(:set_100).to_i)%></td>
        <td><%= number_with_delimiter(@sets.try(:set_100).to_i * @set_values.try(:set_100).to_i * 3/1000000) + "." + (@sets.try(:set_100).to_i * @set_values.try(:set_100).to_i * 3 - (@sets.try(:set_100).to_i * @set_values.try(:set_100).to_i * 3)/1000000 * 1000000).to_s.slice(0..1) %></td>
      </tr>
      <tr>
        <td>sSET</td>
        <td><%= number_with_delimiter(@sets.try(:s_set))%></td>
        <td class="text-center <%= @set_changes.try(:s_set).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_changes.try(:s_set)%></td>
        <td class="text-center <%= @set_change_persens.try(:s_set).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_change_persens.try(:s_set)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:s_set).to_i + @set_maxs.try(:s_set).to_f)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:s_set).to_i - @set_mins.try(:s_set).to_f)%></td>
        <td><%= number_with_delimiter(@set_values.try(:s_set).to_i)%></td>
        <td><%= number_with_delimiter(@sets.try(:s_set).to_i * @set_values.try(:s_set).to_i * 3/1000000) + "." + (@sets.try(:s_set).to_i * @set_values.try(:s_set).to_i * 3 - (@sets.try(:s_set).to_i * @set_values.try(:s_set).to_i * 3)/1000000 * 1000000).to_s.slice(0..1) %></td>
      </tr>
      <tr>
        <td>SETCLMV</td>
        <td><%= number_with_delimiter(@sets.try(:set_clmv))%></td>
        <td class="text-center <%= @set_changes.try(:set_clmv).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_changes.try(:set_clmv)%></td>
        <td class="text-center <%= @set_change_persens.try(:set_clmv).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_change_persens.try(:set_clmv)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_clmv).to_i + @set_maxs.try(:set_clmv).to_f)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_clmv).to_i - @set_mins.try(:set_clmv).to_f)%></td>
        <td><%= number_with_delimiter(@set_values.try(:set_clmv).to_i)%></td>
        <td><%= number_with_delimiter(@sets.try(:set_clmv).to_i * @set_values.try(:set_clmv).to_i * 3/1000000) + "." + (@sets.try(:set_clmv).to_i * @set_values.try(:set_clmv).to_i * 3 - (@sets.try(:set_clmv).to_i * @set_values.try(:set_clmv).to_i * 3)/1000000 * 1000000).to_s.slice(0..1) %></td>
      </tr>
      <tr>
        <td>SETHD</td>
        <td><%= number_with_delimiter(@sets.try(:set_hd))%></td>
        <td class="text-center <%= @set_changes.try(:set_hd).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_changes.try(:set_hd)%></td>
        <td class="text-center <%= @set_change_persens.try(:set_hd).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_change_persens.try(:set_hd)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_hd).to_i + @set_maxs.try(:set_hd).to_f)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_hd).to_i - @set_mins.try(:set_hd).to_f)%></td>
        <td><%= number_with_delimiter(@set_values.try(:set_hd).to_i)%></td>
        <td><%= number_with_delimiter(@sets.try(:set_hd).to_i * @set_values.try(:set_hd).to_i * 3/1000000) + "." + (@sets.try(:set_hd).to_i * @set_values.try(:set_hd).to_i * 3 - (@sets.try(:set_hd).to_i * @set_values.try(:set_hd).to_i * 3)/1000000 * 1000000).to_s.slice(0..1) %></td>
      </tr>
      <tr>
        <td>SETTHSI</td>
        <td><%= number_with_delimiter(@sets.try(:set_thsi))%></td>
        <td class="text-center <%= @set_changes.try(:set_thsi).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_changes.try(:set_thsi)%></td>
        <td class="text-center <%= @set_change_persens.try(:set_thsi).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_change_persens.try(:set_thsi)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_thsi).to_i + @set_maxs.try(:set_thsi).to_f)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_thsi).to_i - @set_mins.try(:set_thsi).to_f)%></td>
        <td><%= number_with_delimiter(@set_values.try(:set_thsi).to_i)%></td>
        <td><%= number_with_delimiter(@sets.try(:set_thsi).to_i * @set_values.try(:set_thsi).to_i * 3/1000000) + "." + (@sets.try(:set_thsi).to_i * @set_values.try(:set_thsi).to_i * 3 - (@sets.try(:set_thsi).to_i * @set_values.try(:set_thsi).to_i * 3)/1000000 * 1000000).to_s.slice(0..1) %></td>
      </tr>
      <tr>
        <td>SETWB</td>
        <td><%= number_with_delimiter(@sets.try(:set_wb))%></td>
        <td class="text-center <%= @set_changes.try(:set_wb).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_changes.try(:set_wb)%></td>
        <td class="text-center <%= @set_change_persens.try(:set_wb).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_change_persens.try(:set_wb)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_wb).to_i + @set_maxs.try(:set_wb).to_f)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_wb).to_i - @set_mins.try(:set_wb).to_f)%></td>
        <td><%= number_with_delimiter(@set_values.try(:set_wb).to_i)%></td>
        <td><%= number_with_delimiter(@sets.try(:set_wb).to_i * @set_values.try(:set_wb).to_i * 3/1000000) + "." + (@sets.try(:set_wb).to_i * @set_values.try(:set_wb).to_i * 3 - (@sets.try(:set_wb).to_i * @set_values.try(:set_wb).to_i * 3)/1000000 * 1000000).to_s.slice(0..1) %></td>
      </tr><tr>
        <td>mai</td>
        <td><%= number_with_delimiter(@sets.try(:set_mai))%></td>
        <td class="text-center <%= @set_changes.try(:set_mai).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_changes.try(:set_mai)%></td>
        <td class="text-center <%= @set_change_persens.try(:set_mai).to_i < 0 ? 'text-red' : 'text-green' %>"><%= @set_change_persens.try(:set_mai)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_mai).to_i + @set_maxs.try(:set_mai).to_f)%></td>
        <td><%= number_with_delimiter(sprintf "%.2f", @sets.try(:set_mai).to_i - @set_mins.try(:set_mai).to_f)%></td>
        <td><%= number_with_delimiter(@set_values.try(:set_mai).to_i)%></td>
        <td><%= number_with_delimiter(@sets.try(:set_mai).to_i * @set_values.try(:set_mai).to_i * 3/1000000) + "." + (@sets.try(:set_mai).to_i * @set_values.try(:set_mai).to_i * 3 - (@sets.try(:set_mai).to_i * @set_values.try(:set_mai).to_i * 3)/1000000 * 1000000).to_s.slice(0..1) %></td>
      </tr>
    </tbody>
  </table>
</div>

  <br>
  <h1>ผลวันนี้ <%= Date.today.strftime('%d/%m/%y') %></h1>

<div class="table-responsive">
  <table class="table">
    <thead>
      <tr>
        <th scope="col"></th>
        <th scope="col">สามตัว</th>
        <th scope="col">บน</th>
        <th scope="col">ล่าง</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <th scope="row">เปิดเช้า</th>
        <td><%= @post_day1.try(:three) + @post_day1.try(:top) if @post_day1.present? %></td>
        <td><%= @post_day1.try(:top) %></td>
        <td><%= @post_day1.try(:bottom) %></td>
      </tr>
      <tr>
        <th scope="row">ปิดเที่ยง</th>
        <td><%= @post_day2.try(:three) + @post_day2.try(:top) if @post_day2.present? %></td>
        <td><%= @post_day2.try(:top) %></td>
        <td><%= @post_day2.try(:bottom) %></td>
      </tr>
      <tr>
        <th scope="row">เปิดบ่าย</th>
        <td><%= @post_day3.try(:three) + @post_day3.try(:top) if @post_day3.present? %></td>
        <td><%= @post_day3.try(:top) %></td>
        <td><%= @post_day3.try(:bottom) %></td>
      </tr>
      <tr>
        <th scope="row">ปิดเย็น</th>
        <td><%= @post_day4.try(:three) + @post_day4.try(:top) if @post_day4.present? %></td>
        <td><%= @post_day4.try(:top) %></td>
        <td><%= @post_day4.try(:bottom) %></td>
      </tr>
    </tbody>
  </table>
</div>

<br>
<br>

<h1>ผลย้อนหลัง</h1>

<div class="table-responsive">
  <table class="table table-bordered">
    <col>
    <colgroup span="2"></colgroup>
    <colgroup span="2"></colgroup>
    <tr>
      <th class="text-center" rowspan="2">วันที่</th>
      <th class="text-center" colspan="2" scope="colgroup">เปิดเช้า</th>
      <th class="text-center" colspan="2" scope="colgroup">ปิดเที่ยง</th>
      <th class="text-center" colspan="2" scope="colgroup">เปิดบ่าย</th>
      <th class="text-center" colspan="2" scope="colgroup">ปิดเย็น</th>
    </tr>
    <tr>
      <th scope="col">บน</th>
      <th scope="col">ล่าง</th>
      <th scope="col">บน</th>
      <th scope="col">ล่าง</th>
      <th scope="col">บน</th>
      <th scope="col">ล่าง</th>
      <th scope="col">บน</th>
      <th scope="col">ล่าง</th>
    </tr>
    <tbody>
      <% for a in 1..20 do %>
        <tr>
          <% @post_x_0 = Post.where(created_at: (DateTime.now - a).all_day) %>
          <% @post_1 = @post_x_0.find_by(status: 1) %>
          <% @post_2 = @post_x_0.find_by(status: 2) %>
          <% @post_3 = @post_x_0.find_by(status: 3) %>
          <% @post_4 = @post_x_0.find_by(status: 4) %>
          <th scope="row"><%= @post_x_0.first.created_at.strftime('%d/%m/%y') if @post_x_0.present?%></th>
          <td><%= @post_1.try(:three) + @post_1.try(:top) if @post_1.present? %></td>
          <td><%= @post_1.try(:bottom) %></td>
          <td><%= @post_2.try(:three) + @post_2.try(:top) if @post_2.present? %></td>
          <td><%= @post_2.try(:bottom) %></td>
          <td><%= @post_3.try(:three) + @post_3.try(:top) if @post_3.present? %></td>
          <td><%= @post_3.try(:bottom) %></td>
          <td><%= @post_4.try(:three) + @post_4.try(:top) if @post_4.present? %></td>
          <td><%= @post_4.try(:bottom) %></td>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>